## ros-kinetic-robot-controllers-interface 0.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(robot_controllers_interface)

if (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
endif()

find_package(Boost REQUIRED system)
find_package(catkin REQUIRED
  COMPONENTS
    actionlib
    pluginlib
    roscpp
    robot_controllers_msgs
)

catkin_package(
  INCLUDE_DIRS
    include
  CATKIN_DEPENDS
    actionlib
    pluginlib
    roscpp
    robot_controllers_msgs
  DEPENDS
    Boost
  LIBRARIES
    robot_controllers_interface
)

include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

add_library(robot_controllers_interface
  src/controller_loader.cpp
  src/controller_manager.cpp
)
target_link_libraries(robot_controllers_interface
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
)
add_dependencies(robot_controllers_interface
  robot_controllers_msgs_gencpp
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS robot_controllers_interface LIBRARY
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(
  PROGRAMS
    scripts/get_controller_state.py
    scripts/start_controller.py
    scripts/stop_controller.py
  DESTINATION
    ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-robot-controllers-interface (0.5.2-0xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.5.1-0xenial) xenial; urgency=high

  * Dynamically load controllers (#23 <https://github.com/fetchrobotics/robot_controllers/issues/23>)
    * When requested controller not in default list, check parameter server for controller
    * Controller loader catches pluginlib exception when trying to load bad controller
  * Return controller states even if update fails
  * Contributors: Michael Ferguson, Sarah Elliott

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.5.0-0xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 21 Feb 2016 08:00:00 -0000

ros-kinetic-robot-controllers-interface (0.4.3-0xenial) xenial; urgency=high

  * add mainpage to doxygen
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Dec 2015 08:00:00 -0000

ros-kinetic-robot-controllers-interface (0.4.2-0xenial) xenial; urgency=high

  * add -Wall to interface package
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 22 Oct 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.4.1-0xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 12 Jun 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.4.0-0xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 23 May 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.3.4-0xenial) xenial; urgency=high

  * add ability to reset controllers
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 22 May 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.3.3-0xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 03 May 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.3.2-0xenial) xenial; urgency=high

  * install scripts
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 09 Apr 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.3.1-0xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 28 Mar 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.3.0-0xenial) xenial; urgency=high

  * improve windup support
  * fix potential build issue
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 23 Mar 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.1.4-0xenial) xenial; urgency=high

  * add action server for get/set of controller state
  * make autostart actually work
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 13 Mar 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.1.3-0xenial) xenial; urgency=high

  * additional logging when requestStart() fails
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Jan 2015 08:00:00 -0000

ros-kinetic-robot-controllers-interface (0.1.2-0xenial) xenial; urgency=high

  * install robot_controllers_interface
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 06 Jan 2015 08:00:00 -0000

ros-kinetic-robot-controllers-interface (0.1.1-0xenial) xenial; urgency=high

  * initial release
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 05 Jan 2015 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-robot-controllers-interface
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-catkin, ros-kinetic-pluginlib, ros-kinetic-robot-controllers-msgs, ros-kinetic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-robot-controllers-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-pluginlib, ros-kinetic-robot-controllers-msgs, ros-kinetic-roscpp
Description: Generic framework for robot controls.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-robot-controllers-interface//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
